nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::ref_countable_ut::OldInterface Class Referenceabstract
Inheritance diagram for nx::sdk::ref_countable_ut::OldInterface:

## Public Member Functions
virtual | ~OldInterface ()=default
virtual void * | queryInterface (const OldInterfaceId &id)=0
virtual unsigned int | addRef () const =0
virtual unsigned int | releaseRef () const =0
virtual const char * | interfaceIdForTest ()
virtual int | refCountForTest () const =0

## Static Public Member Functions
static const OldInterfaceId & | interfaceId ()

## Detailed Description

Mock for a base interface from the old SDK - used for compatibility testing.

Has the VMT layout starting with all the entries from IRefCountable (thus, as in the old SDK).

Defined exactly the same way as in the old SDK (nxpl::PluginInterface).

## Constructor & Destructor Documentation

## ◆ ~OldInterface()

virtual nx::sdk::ref_countable_ut::OldInterface::~OldInterface | ( |  | ) |
| virtual default

VMT #0.

## Member Function Documentation

## ◆ addRef()

virtual unsigned int nx::sdk::ref_countable_ut::OldInterface::addRef | ( |  | ) | const
| pure virtual

VMT #2.

Implemented in nx::sdk::ref_countable_ut::OldObject.

## ◆ interfaceIdForTest()

virtual const char* nx::sdk::ref_countable_ut::OldInterface::interfaceIdForTest | ( |  | ) |
| inline virtual

VMT #4 - added for tests; couples with the same method of NewInterface.

## ◆ queryInterface()

virtual void* nx::sdk::ref_countable_ut::OldInterface::queryInterface | ( | const OldInterfaceId & | id | ) |
| pure virtual

#1 in VMT.

Implemented in nx::sdk::ref_countable_ut::OldObject.

## ◆ refCountForTest()

virtual int nx::sdk::ref_countable_ut::OldInterface::refCountForTest | ( |  | ) | const
| pure virtual

VMT #5 - added for tests; couples with the same method of NewInterface.

Implemented in nx::sdk::ref_countable_ut::OldObject.

## ◆ releaseRef()

virtual unsigned int nx::sdk::ref_countable_ut::OldInterface::releaseRef | ( |  | ) | const
| pure virtual

VMT #3.

Implemented in nx::sdk::ref_countable_ut::OldObject.

The documentation for this class was generated from the following file:

- unit_tests/src/ref_countable_ut.cpp